> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Tenant L2 Interface Requests



## OpenAPI

````yaml /openapi.json get /service/{tenant_name}/l2/customer_port
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /service/{tenant_name}/l2/customer_port:
    get:
      tags:
        - service - l2_interface
      summary: Get All Tenant L2 Interface Requests
      operationId: >-
        get_all_tenant_l2_interface_requests_service__tenant_name__l2_customer_port_get
      parameters:
        - name: tenant_name
          in: path
          required: true
          schema:
            title: Tenant Name
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ItemsList_NBCustomerPortResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    ItemsList_NBCustomerPortResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/NBCustomerPortResponse'
          type: array
          title: Items
        count:
          type: integer
          title: Count
          default: 0
        total_count:
          type: integer
          title: Total Count
          default: 0
      type: object
      required:
        - items
      title: ItemsList[NBCustomerPortResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NBCustomerPortResponse:
      properties:
        id:
          type: integer
          title: Id
        uuid:
          type: string
          format: uuid
          title: Uuid
        tenant_name:
          type: string
          title: Tenant Name
        system_name:
          type: string
          title: System Name
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
        name:
          type: string
          title: Name
        l2_parent_name:
          anyOf:
            - type: string
            - type: 'null'
          title: L2 Parent Name
        requested_bw:
          type: integer
          title: Requested Bw
        assigned_bw:
          anyOf:
            - type: integer
            - type: 'null'
          title: Assigned Bw
        used_bw:
          type: integer
          title: Used Bw
          default: 0
        request_status:
          type: string
          title: Request Status
        user_name:
          type: string
          title: User Name
        type:
          type: string
          title: Type
        labels:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Labels
        location:
          anyOf:
            - type: string
            - type: 'null'
          title: Location
      type: object
      required:
        - id
        - uuid
        - tenant_name
        - system_name
        - name
        - requested_bw
        - request_status
        - user_name
        - type
      title: NBCustomerPortResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````